Subject: Re: OF /chosen/initrd,* variables - patch, official?

From: David Gibson <[email-masked]>
Date: Wed, 22 Aug 2007 11:44:29 +1000

On Tue, Aug 21, 2007 at 03:24:52PM +0100, Matt Sealey wrote:
> David Gibson wrote:
> > On Tue, Aug 21, 2007 at 01:58:31PM +0100, Matt Sealey wrote:
> >> David Gibson wrote:
> >>> Uh... no... this is in the bootwrapper, long before ppc_md even
> >>> exists.  platform_init() is called from arch/powerpc/boot/crt0.S,
> >>> immediately before main().
> >> Oh *THAT* platform init.
> >>
> >> So I could just drop a
> >>
> >> } else {
> >> 	dt_find_initrd();
> >> }
> >>
> >> .. at the end and nobody would be too disgusted or have any problems?
> > 
> > Err.. at the end of what?  Each platform has it's own version of
> > platform_init().
> 
> arch/powerpc/boot/of.c since it's not really relevant to me for non-OF
> platforms?

Err... it would have to be a somewhat strange OF implementation that
gives the linux,initrd-* properties sane values before entry...  I
doubt we want to do this for all real OF systems.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson